Gecode::FlatZinc::FZPrintingComparator< S > Class Template Reference

## Public Member Functions

| FZPrintingComparator (const Printer &p0)
| Constructor.
virtual void | compare (const Space &s0, const Space &s1)
| Use the compare method of the template class S to compare two spaces.
Public Member Functions inherited from Gecode::Gist::VarComparator< S >
| VarComparator (std::string name)
| Constructor.
virtual std::string | name (void)
| Return name.
virtual void | finalize (void)
| Finalize when Gist exits.
Public Member Functions inherited from Gecode::Gist::TextOutput
| TextOutput (const std::string &name)
| Constructor.
void | finalize (void)
| Clean up when Gist exits.
virtual | ~TextOutput (void)
| Destructor.
virtual | ~Comparator (void)
| Destructor.

## Additional Inherited Members

template<class Var>
static std::string | compare (std::string x_n, const VarArgArray< Var > &x, const VarArgArray< Var > &y)
| Return string representation of difference between arrays x and y, which are called x_n.
static std::string | compare (std::string x_n, IntVar x, IntVar y)
| Return string representation of difference between x and y, which are called x_n.
static std::string | compare (std::string x_n, BoolVar x, BoolVar y)
| Return string representation of difference between x and y, which are called x_n.
static std::string | compare (std::string x_n, SetVar x, SetVar y)
| Return string representation of difference between x and y, which are called x_n.
static std::string | compare (std::string x_n, FloatVar x, FloatVar y)
| Return string representation of difference between x and y, which are called x_n.
Protected Member Functions inherited from Gecode::Gist::TextOutput
void | init (void)
| Initialize the implementation object.
std::ostream & | getStream (void)
| Get the stream that is used to output text.
void | flush (void)
| Flush stream.
void | addHtml (const char *s)
| Add html text s to the output.

## Detailed Description

template<class S>
class Gecode::FlatZinc::FZPrintingComparator< S >

Definition at line 1699 of file flatzinc.cpp.

## Constructor & Destructor Documentation

## FZPrintingComparator()

template<class S>

Gecode::FlatZinc::FZPrintingComparator< S >::FZPrintingComparator | ( | const Printer & | p0 | ) |

Constructor.

Definition at line 1712 of file flatzinc.cpp.

## Member Function Documentation

## compare()

template<class S>

void Gecode::FlatZinc::FZPrintingComparator< S >::compare | ( | const Space & | s0,
|  | const Space & | s1 )

virtual

Use the compare method of the template class S to compare two spaces.

Reimplemented from Gecode::Gist::VarComparator< S >.

Definition at line 1717 of file flatzinc.cpp.

The documentation for this class was generated from the following file:

- gecode/flatzinc/flatzinc.cpp